Package ru.bitel.bgbilling.modules.payonline.common.bean

# Class RebillTransaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.payonline.common.bean.RebillTransaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class RebillTransaction extends IdContractId

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BANK_ERROR`
  Транзакция отклонена банком-эмитентом.
  `static final int`
  `FILTER_ERROR`
  Транзакция отклонена фильтрами PayOnline.
  `static final int`
  `REBILL_ANCHOR_ERROR`
  Транзакция отклонена банком-эмитентом.
  `static final int`
  `TECHNIKAL_ERROR`
  Возникла техническая ошибка на стороне PayOnline.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RebillTransaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `String`
  `getContractTitle()`
  `Date`
  `getDate()`
  `static String`
  `getError(int code)`
  Возвращает описание ошибки по ее коду.
  `int`
  `getErrorCode()`
  `String`
  `getResult()`
  `String`
  `getStatus()`
  `long`
  `getTransactionId()`
  `RebillTransaction`
  `setCode(int code)`
  `RebillTransaction`
  `setContractId(int contractId)`
  `RebillTransaction`
  `setContractTitle(String contractTitle)`
  `RebillTransaction`
  `setDate(Date date)`
  `RebillTransaction`
  `setErrorCode(int errorCode)`
  `RebillTransaction`
  `setResult(String result)`
  `RebillTransaction`
  `setStatus(String status)`
  `RebillTransaction`
  `setTransactionId(long transactionId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TECHNIKAL_ERROR

    public static final int TECHNIKAL_ERROR
    Возникла техническая ошибка на стороне PayOnline.
    See Also:
      - Constant Field Values

  - ### FILTER_ERROR

    public static final int FILTER_ERROR
    Транзакция отклонена фильтрами PayOnline.
    See Also:
      - Constant Field Values

  - ### BANK_ERROR

    public static final int BANK_ERROR
    Транзакция отклонена банком-эмитентом.
    See Also:
      - Constant Field Values

  - ### REBILL_ANCHOR_ERROR

    public static final int REBILL_ANCHOR_ERROR
    Транзакция отклонена банком-эмитентом. Следует прекратить дальнейшие операции Rebill с данным RebillAnchor.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RebillTransaction

    public RebillTransaction()

- ## Method Details

  - ### getCode

    public int getCode()

  - ### getContractTitle

    public String getContractTitle()

  - ### getDate

    public Date getDate()

  - ### getErrorCode

    public int getErrorCode()

  - ### getResult

    public String getResult()

  - ### getStatus

    public String getStatus()

  - ### getTransactionId

    public long getTransactionId()

  - ### setCode

    public RebillTransaction setCode(int code)

  - ### setContractId

    public RebillTransaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setContractTitle

    public RebillTransaction setContractTitle(String contractTitle)

  - ### setDate

    public RebillTransaction setDate(Date date)

  - ### setErrorCode

    public RebillTransaction setErrorCode(int errorCode)

  - ### setResult

    public RebillTransaction setResult(String result)

  - ### setStatus

    public RebillTransaction setStatus(String status)

  - ### setTransactionId

    public RebillTransaction setTransactionId(long transactionId)

  - ### getError

    public static String getError(int code)
    Возвращает описание ошибки по ее коду.
    Parameters:
      `code` - - код ошибки
    Returns:
      описание ошибки